setTimeout(() => {
  // alert(localStorage.getItem("token"))
  // alert(localStorage.getItem("suid"))
  let ajax = function (options) {
    //利用arguements判断，使函数可以接受两种类型的参数
    let url;
    if (arguments.length === 1) {
      url = options.url;
    } else if (arguments.length === 2) {
      url = arguments[0];
      options = arguments[1];
    }
    /*
		let method=options.method,
		    body=options.body,
		    succedFn=options.succedFn,
		    failFn=options.failFn,
		    headers=options.headers;
		*/

    /* es6解构语法*/
    let { method, body, succedFn, failFn, headers } = options;

    let request = new XMLHttpRequest(); //声明一个请求对象,XMLHttpRequest是浏览器给出的一个用来进行请求相关的接口

    request.open(method, url); //配置这个请求1.方式2.路径3.是否异步，默认异步。
    //open之后readystate已经变成了1
    for (let key in headers) {
      let value = headers[key];
      request.setRequestHeader(key, value);
    }
    //request.send()//发送这个请求
    request.send(body);
    request.onreadystatechange = function () {
      if (request.readyState === 4) {
        console.log("==========", request.status);
        //request.readyState返回请求的状态包括：0（open方法还未调用）1（send方法还未调用）2（send方法被掉用，已经获得响应头和状态码）3（正在下载响应体，responseText已经获得部分数据）4（整个请求已经完成）
        if (request.status >= 400) {
          //request.status返回状态码。request.statusText
          failFn.call(null, request);
        } else {
          succedFn.call(null, request.responseText);
          //思考：如果请求失败的话，responseText 存在。
          //主要服务器返回什么内容，即使状态码返回的是404，服务器也会返回内容，例如返回：response.write(`{'error':'not found'}`)
        }
      }
    }; //请求的状态发生改变事件
  };
  // ajax({
  // 	'method': 'GET',
  // 	'url': './index.html',
  // 	'body': '"wang":"15"',
  // 	'headers': {
  // 		'name': 'wang',
  // 		'Content-Type': 'application/x-www-form-urlencoded'
  // 	},
  // 	'succedFn': (request) => {
  // 		console.log(request)
  // 	}, //同时传两个函数{f1.call(null,request);f2.call(null,request)}
  // 	'failFn': (request) => {
  // 		console.log(request);
  // 		console.log(request.responseText)
  // 	}
  // })

  // let vConsole = new VConsole();
  let listenEntryTargetPage = async () => {
    let reTry = setInterval(() => {
      // if (location.href.indexOf('aiqicha.baidu.com/company_detail') > -1) {
      // 	clearInterval(reTry)
      // 	reTry = null
      // 	alert('进入目标页面：' + location.href)
      // 	console.log('进入目标页面：' + location.href)
      // 	console.log(JSON.stringify(pageData.result))
      // 	listenLeaveTargetPage()
      // }
      let hasResult = document.getElementsByClassName("atlas-container")[0];
      if (hasResult) {
        clearInterval(reTry);
        reTry = null;
        // alert('进入目标页面：' + location.href)
        console.log("进入目标页面：" + location.href);
        // console.log(pageData.result)
        ajax({
          method: "GET",
          url:
            "https://aiqicha.baidu.com/m/basicAjax?pid=" +
            location.href.match(/pid=[0-9]+/)[0].replace("pid=", ""),
          body: "",
          headers: {
            "Content-Type": "application/x-www-form-urlencoded",
          },
          succedFn: (request) => {
            console.log("request", request);
            //
            let body = JSON.stringify({
              token: localStorage.getItem("token"), //认证令牌
              suid: localStorage.getItem("suid"), //认证令牌
              entid: localStorage.getItem("entid"), //认证令牌
              json: request,
            });
            console.log("body", body);

            if (
              confirm(
                `已查询到商户信息，是否使用该信息填写\n\n执照号码:${
                  JSON.parse(request).data.dataInfo.basic.unifiedCode
                }\n企业名称:${JSON.parse(request).data.entName}\n注册地址:${
                  JSON.parse(request).data.regAddr
                }`
              ) == true
            ) {
              ajax({
                method: "POST",
                url: "https://retail-app.qhypay.cn/shop/ent/parse",
                body: body,
                headers: {
                  "Content-Type": "application/json",
                },
                succedFn: (request) => {
                  let data = JSON.parse(request);
                  console.log("请求成功", JSON.stringify(request));
                  if (data.code == 0) {
                    console.log(JSON.stringify(request));
                    setTimeout(() => {
                      uni.navigateBack();
                    }, 100);
                    // https://mex.qhypay.cn/retail/V5.6/parse
                    // alert('请求成功')
                  } else {
                    if (confirm(`失败了,请重试,${data.msg}`) == true) {
                      setTimeout(() => {
                        uni.navigateBack();
                      }, 100);
                    } else {
                      setTimeout(() => {
                        uni.navigateBack();
                      }, 100);
                    }
                  }
                }, //同时传两个函数{f1.call(null,request);f2.call(null,request)}
                failFn: (request) => {
                  // alert('请求失败')
                  console.log("请求失败");
                  console.log(JSON.stringify(request));
                  console.log(request.responseText);
                  alert("失败了~~请重试");
                  setTimeout(() => {
                    uni.navigateBack();
                  }, 500);
                },
              });
              // alert('请求成功')
            } else {
              // setTimeout(() => {
              // 	uni.navigateBack()
              // }, 100)
            }
          }, //同时传两个函数{f1.call(null,request);f2.call(null,request)}
          failFn: (request) => {
            // alert('请求失败')
            console.log(request);
            console.log(request.responseText);
            if (confirm("失败了~请重试") == true) {
              setTimeout(() => {
                uni.navigateBack();
              }, 1000);
            } else {
              setTimeout(() => {
                uni.navigateBack();
              }, 1000);
            }
          },
        });
        listenLeaveTargetPage();
      }
    }, 100);
  };
  let listenLeaveTargetPage = async () => {
    let reTry = setInterval(() => {
      // if (location.href.indexOf('aiqicha.baidu.com/company_detail') == -1) {
      // 	clearInterval(reTry)
      // 	reTry = null
      // 	// alert('离开目标页面：' + location.href)
      // 	console.log('离开目标页面：' + location.href)
      // 	listenEntryTargetPage()
      // }
      let hasResult = document.getElementsByClassName("atlas-container")[0];
      if (!hasResult) {
        clearInterval(reTry);
        reTry = null;
        // alert('离开目标页面：' + location.href)
        console.log("离开目标页面：" + location.href);
        listenEntryTargetPage();
      }
    }, 100);
  };
  listenEntryTargetPage();
}, 2000);
