function plusService(name, arg) {
  // console.log('window.plus',plus.webview.getWebviewById("__uniapp__service"))
  let curWebview = plus.webview.currentWebview(); //当前webview
  let parentWebview = curWebview.parent();
  let webviewId = parentWebview ? parentWebview.id : curWebview.id;
  let idArr = [webviewId];
  plus.webview.postMessageToUniNView(
    {
      type: "WEB_INVOKE_APPSERVICE",
      args: {
        data: {
          options: {
            timestamp: +new Date(),
          },
          name,
          arg,
        },
        webviewIds: webviewId,
      },
    },
    "__uniapp__service"
  );
}
setTimeout(() => {
  // alert(localStorage.getItem("token"))
  // alert(localStorage.getItem("suid"))
  let ajax = function (options) {
    //利用arguements判断，使函数可以接受两种类型的参数
    let url;
    if (arguments.length === 1) {
      url = options.url;
    } else if (arguments.length === 2) {
      url = arguments[0];
      options = arguments[1];
    }
    /*
		let method=options.method,
		    body=options.body,
		    succedFn=options.succedFn,
		    failFn=options.failFn,
		    headers=options.headers;
		*/

    /* es6解构语法*/
    let { method, body, succedFn, failFn, headers } = options;

    let request = new XMLHttpRequest(); //声明一个请求对象,XMLHttpRequest是浏览器给出的一个用来进行请求相关的接口

    request.open(method, url); //配置这个请求1.方式2.路径3.是否异步，默认异步。
    //open之后readystate已经变成了1
    for (let key in headers) {
      let value = headers[key];
      request.setRequestHeader(key, value);
    }
    //request.send()//发送这个请求
    request.send(body);
    request.onreadystatechange = function () {
      if (request.readyState === 4) {
        console.log("==========", request.status);
        //request.readyState返回请求的状态包括：0（open方法还未调用）1（send方法还未调用）2（send方法被掉用，已经获得响应头和状态码）3（正在下载响应体，responseText已经获得部分数据）4（整个请求已经完成）
        if (request.status >= 400) {
          //request.status返回状态码。request.statusText
          failFn.call(null, request);
        } else {
          succedFn.call(null, request.responseText);
          //思考：如果请求失败的话，responseText 存在。
          //主要服务器返回什么内容，即使状态码返回的是404，服务器也会返回内容，例如返回：response.write(`{'error':'not found'}`)
        }
      }
    }; //请求的状态发生改变事件
  };
  // ajax({
  // 	'method': 'GET',
  // 	'url': './index.html',
  // 	'body': '"wang":"15"',
  // 	'headers': {
  // 		'name': 'wang',
  // 		'Content-Type': 'application/x-www-form-urlencoded'
  // 	},
  // 	'succedFn': (request) => {
  // 		console.log(request)
  // 	}, //同时传两个函数{f1.call(null,request);f2.call(null,request)}
  // 	'failFn': (request) => {
  // 		console.log(request);
  // 		console.log(request.responseText)
  // 	}
  // })

  // let vConsole = new VConsole();
  // alert(param)
  setTimeout(async () => {
    console.log("location.href:", location.href);
    if (location.href.indexOf("http://www.gsxt.gov.cn/index.html?q=") > -1) {
      console.log("进入输入企业名称页面,即将输入关键词");
      await setKeywordValue();
      console.log("关键词输入成功");
      document.getElementById("btn_query").click();
    } else {
      if (location.href == "http://www.gsxt.gov.cn/index.html") {
        // 企业名称未赋值到地址栏，请重试
        console.log("企业名称未赋值到地址栏，请重试");
      } else {
        console.log("进入其他页面，监听目标页");
        let reTry = setInterval(() => {
          let targetPageEl = document.getElementById("primaryInfo");
          if (targetPageEl) {
            clearInterval(reTry);
            reTry = null;
            console.log("进入目标页面：" + location.href);
            let code = "";
            let name = "";
            let addr = "";
            let date = "";
            let allEl = document
              .getElementById("primaryInfo")
              .getElementsByTagName("dl");
            for (let i = 0; i < allEl.length; i++) {
              let curTitleEl = allEl[i].getElementsByClassName("item")[0];
              if (!curTitleEl) {
                curTitleEl = allEl[i].getElementsByClassName("item_right")[0];
              }
              let curTitleElText = curTitleEl.innerText;
              let curValueElText = "";
              if (curTitleElText.indexOf("统一社会信用代码") > -1) {
                curValueElText =
                  allEl[i].getElementsByClassName("result")[0].innerText;
                code = curValueElText;
              }
              /* 企业 */
              if (curTitleElText.indexOf("企业名称") > -1) {
                curValueElText =
                  allEl[i].getElementsByClassName("result")[0].innerText;
                name = curValueElText;
              }
              if (curTitleElText.indexOf("成立日期") > -1) {
                curValueElText =
                  allEl[i].getElementsByClassName("result")[0].innerText;
                date = curValueElText;
              }
              if (curTitleElText.indexOf("住所") > -1) {
                curValueElText =
                  allEl[i].getElementsByClassName("result")[0].innerText;
                addr = curValueElText;
              }
              /* 小微 */
              if (curTitleElText.indexOf("名称") > -1) {
                curValueElText =
                  allEl[i].getElementsByClassName("result")[0].innerText;
                name = curValueElText;
              }
              if (curTitleElText.indexOf("注册日期") > -1) {
                curValueElText =
                  allEl[i].getElementsByClassName("result")[0].innerText;
                date = curValueElText;
              }
              if (curTitleElText.indexOf("经营场所") > -1) {
                curValueElText =
                  allEl[i].getElementsByClassName("result")[0].innerText;
                addr = curValueElText;
              }
              console.log(`${i}:${curTitleElText}=>${curValueElText}`);
            }
            console.log("code:", code);
            console.log("name:", name);
            console.log("addr:", addr);
            console.log("date:", date);
            if (
              confirm(
                `已查询到商户信息，是否使用该信息填写\n\n执照号码:${code}\n企业名称:${name}\n注册地址:${addr}`
              ) == true
            ) {
              plusService("postMessage", {
                type: "collectionShopInfo",
                info: {
                  code,
                  name,
                  addr,
                  date,
                },
              });
              /* ajax({
							'method': 'POST',
							'url': 'https://retail-app.qhypay.cn/shop/ent/parse',
							'body': {
								code,
								name,
								addr,
								date
							},
							'headers': {
								'Content-Type': 'application/json'
							},
							'succedFn': (request) => {
								let data = JSON.parse(request)
								console.log('请求成功', JSON.stringify(
									request))
								if (data.code == 0) {
									console.log(JSON.stringify(
										request))
									setTimeout(() => {
										uni.navigateBack()
									}, 100)
									// https://mex.qhypay.cn/retail/V5.6/parse
									// alert('请求成功')
								} else {
									if (confirm(
											`失败了,请重试,${data.msg}`
										) ==
										true
									) {
										setTimeout(() => {
											uni.navigateBack()
										}, 100)
									} else {
										setTimeout(() => {
											uni.navigateBack()
										}, 100)
									}
								}
					
							}, //同时传两个函数{f1.call(null,request);f2.call(null,request)}
							'failFn': (request) => {
								// alert('请求失败')
								console.log('请求失败')
								console.log(JSON.stringify(
									request));
								console.log(request.responseText)
								alert('失败了~~请重试')
								setTimeout(() => {
									uni.navigateBack()
								}, 500)
							}
						}) */
              // alert('请求成功')
            } else {
              // setTimeout(() => {
              // 	uni.navigateBack()
              // }, 100)
            }
          }
        }, 100);
      }
    }

    function setKeywordValue() {
      return new Promise((resolve, reject) => {
        let keywordInput = document.getElementById("keyword");
        if (keywordInput) {
          // let param = decodeURIComponent(location.hash.match(/[^\?\/q=].+/))
          let param = decodeURIComponent(location.search.match(/[^\?q=].+/));
          document.getElementById("keyword").value = param;
          let newKeywordValue = document.getElementById("keyword").value;
          if (newKeywordValue) {
            setTimeout(() => {
              resolve(newKeywordValue);
            }, 300);
          } else {
            setTimeout(() => {
              setKeywordValue();
            }, 300);
          }
        } else {
          setTimeout(() => {
            setKeywordValue();
          }, 300);
        }
      });
    }
  }, 300);
}, 300);
